diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/test/wifi-phy-cca-test.cc ns-3.45/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.44/src/wifi/test/wifi-phy-cca-test.cc	2025-03-09 16:55:49.811372800 -0700
+++ ns-3.45/src/wifi/test/wifi-phy-cca-test.cc	2025-06-01 20:34:45.640702200 -0700
@@ -2355,13 +2372,14 @@
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the second 20 MHz subchannel of the S80 27.3.20.6.4:
-        // Any signal within the secondary 80 MHz channel at or above –56 dBm.
+        // energy detection threshold occupies the second 20 MHz subchannel of the
+        // S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 20 MHz signal that occupies the second subchannel of "
                             "S80 above ED threshold");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(5) = MicroSeconds(100);
         ScheduleTest(delay,
                      {{dBm_u{-55},
                        MicroSeconds(0),
@@ -2370,7 +2388,7 @@
                        MHz_u{20}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -2379,19 +2397,13 @@
                      {{MicroSeconds(100) - smallDelta,
                        MicroSeconds(100),
                        WIFI_CHANLIST_SECONDARY80,
-                       std::vector<Time>{MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(100),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0)}}});
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
-        // energy detection threshold occupies the third 20 MHz subchannel of the S80
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
+        // the energy detection threshold occupies the third 20 MHz subchannel of the S80
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
@@ -2405,7 +2417,7 @@
                        MHz_u{20}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -2416,13 +2428,14 @@
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the third 20 MHz subchannel of the S80 27.3.20.6.4:
-        // Any signal within the secondary 80 MHz channel at or above –56 dBm.
+        // energy detection threshold occupies the third 20 MHz subchannel of the
+        // S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 20 MHz signal that occupies the third subchannel of "
                             "S80 above ED threshold");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(6) = MicroSeconds(100);
         ScheduleTest(delay,
                      {{dBm_u{-55},
                        MicroSeconds(0),
@@ -2431,7 +2444,7 @@
                        MHz_u{20}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -2440,19 +2453,13 @@
                      {{MicroSeconds(100) - smallDelta,
                        MicroSeconds(100),
                        WIFI_CHANLIST_SECONDARY80,
-                       std::vector<Time>{MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(100),
-                                         MicroSeconds(0)}}});
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
-        // energy detection threshold occupies the fourth 20 MHz subchannel of the S80
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
+        // the energy detection threshold occupies the fourth 20 MHz subchannel of the S80
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
@@ -2466,7 +2473,7 @@
                        MHz_u{20}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -2477,13 +2484,14 @@
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the fourth 20 MHz subchannel of the S80 27.3.20.6.4:
-        // Any signal within the secondary 80 MHz channel at or above –56 dBm.
+        // energy detection threshold occupies the fourth 20 MHz subchannel of the
+        // S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 20 MHz signal that occupies the fourth subchannel of "
                             "S80 above ED threshold");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(7) = MicroSeconds(100);
         ScheduleTest(delay,
                      {{dBm_u{-55},
                        MicroSeconds(0),
@@ -2492,7 +2500,7 @@
                        MHz_u{20}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -2501,19 +2509,14 @@
                      {{MicroSeconds(100) - smallDelta,
                        MicroSeconds(100),
                        WIFI_CHANLIST_SECONDARY80,
-                       std::vector<Time>{MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(100)}}});
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
-        // energy detection threshold occupies the first and second 20 MHz subchannels of the S80
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
+        // the energy detection threshold occupies the first and second 20 MHz subchannels of
+        // the S80
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
@@ -2527,7 +2530,7 @@
                        MHz_u{40}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -2538,13 +2541,14 @@
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the first and second 20 MHz subchannels of the S80
-        // 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
+        // energy detection threshold occupies the first and second 20 MHz subchannels of the
+        // S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 40 MHz signal that occupies the first and second "
                             "subchannels of S80 above ED threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 4, 2, MicroSeconds(100));
         ScheduleTest(delay,
                      {{dBm_u{-55},
                        MicroSeconds(0),
@@ -2553,7 +2557,7 @@
                        MHz_u{40}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -2562,19 +2566,14 @@
                      {{MicroSeconds(100) - smallDelta,
                        MicroSeconds(100),
                        WIFI_CHANLIST_SECONDARY80,
-                       std::vector<Time>{MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(100),
-                                         MicroSeconds(100),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0)}}});
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
-        // energy detection threshold occupies the third and fourth 20 MHz subchannels of the S80
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
+        // the energy detection threshold occupies the third and fourth 20 MHz subchannels of
+        // the S80
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
@@ -2588,7 +2587,7 @@
                        MHz_u{40}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -2599,13 +2598,14 @@
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the third and fourth 20 MHz subchannels of the S80
-        // 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
+        // energy detection threshold occupies the third and fourth 20 MHz subchannels of the
+        // S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 40 MHz signal that occupies the third and fourth "
                             "subchannels of S80 above ED threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 6, 2, MicroSeconds(100));
         ScheduleTest(delay,
                      {{dBm_u{-55},
                        MicroSeconds(0),
@@ -2614,7 +2614,7 @@
                        MHz_u{40}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -2623,19 +2623,13 @@
                      {{MicroSeconds(100) - smallDelta,
                        MicroSeconds(100),
                        WIFI_CHANLIST_SECONDARY80,
-                       std::vector<Time>{MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(100),
-                                         MicroSeconds(100)}}});
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
-        // energy detection threshold occupies the S80
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
+        // the energy detection threshold occupies the S80
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
@@ -2645,7 +2639,7 @@
             {{dBm_u{-65}, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY, MHz_u{80}}},
             {},
             {
-                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                 {MicroSeconds(100) - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
                 {MicroSeconds(100) + smallDelta,
@@ -2656,18 +2650,19 @@
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the S80 27.3.20.6.4: Any signal within the secondary
-        // 80 MHz channel at or above –56 dBm.
+        // energy detection threshold occupies the S80 27.3.20.6.4: Any signal within the
+        // secondary 80 MHz channel at or above –56 dBm.
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 80 MHz signal that occupies S80 above ED threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 4, 4, MicroSeconds(100));
         ScheduleTest(
             delay,
             {{dBm_u{-55}, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY, MHz_u{80}}},
             {},
             {
-                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                 {MicroSeconds(100) - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
                 {MicroSeconds(100) + smallDelta,
@@ -2676,15 +2671,9 @@
             {{MicroSeconds(100) - smallDelta,
               MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY80,
-              std::vector<Time>{MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(100),
-                                MicroSeconds(100),
-                                MicroSeconds(100),
-                                MicroSeconds(100)}}});
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE as long as a 160 MHz signal below the energy detection
@@ -2699,7 +2688,7 @@
             {{dBm_u{-55}, MicroSeconds(0), MicroSeconds(100), P160_CENTER_FREQUENCY, MHz_u{160}}},
             {},
             {
-                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                 {MicroSeconds(100) - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
                 {MicroSeconds(100) + smallDelta,
@@ -2717,12 +2706,13 @@
             &WifiPhyCcaIndicationTest::LogScenario,
             this,
             "Reception of a 160 MHz signal that occupies the whole band above ED threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(), 8, MicroSeconds(100));
         ScheduleTest(
             delay,
             {{dBm_u{-50}, MicroSeconds(0), MicroSeconds(100), P160_CENTER_FREQUENCY, MHz_u{160}}},
             {},
             {
-                {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCCATime
+                {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
                 {MicroSeconds(100) - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
                 {MicroSeconds(100) + smallDelta,
@@ -2731,15 +2721,9 @@
             {{MicroSeconds(100) - smallDelta,
               MicroSeconds(100),
               WIFI_CHANLIST_PRIMARY,
-              std::vector<Time>{MicroSeconds(100),
-                                MicroSeconds(100),
-                                MicroSeconds(100),
-                                MicroSeconds(100),
-                                MicroSeconds(100),
-                                MicroSeconds(100),
-                                MicroSeconds(100),
-                                MicroSeconds(100)}}});
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY notifies CCA-BUSY for the P20 channel while the S80 channel was already in
@@ -2749,6 +2733,9 @@
                             this,
                             "Reception of a 20 MHz signal that occupies S80 followed by the "
                             "reception of another 20 MHz signal that occupies P20");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(6) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(0) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(6) = MicroSeconds(50);
         ScheduleTest(
             delay,
             {{dBm_u{-55},
@@ -2759,38 +2746,28 @@
              {dBm_u{-55}, MicroSeconds(50), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
-                {aCcaTime, WifiPhyState::IDLE}, // state of primary stays idle after aCCATime
-                {MicroSeconds(50) + aCcaTime,
-                 WifiPhyState::CCA_BUSY}, // state of primary is CCA-BUSY after aCCATime that
-                                          // followed the second transmission
+                {aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
+                {MicroSeconds(50) + aCcaTimeWithDelta,
+                 WifiPhyState::CCA_BUSY}, // state of primary is CCA-BUSY after
+                                          // aCcaTimeWithDelta that followed the second
+                                          // transmission
                 {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
                 {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {{aCcaTime, // notification upon reception of the first signal
+            {{aCcaTimeWithDelta, // notification upon reception of the first signal
               MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY80,
-              std::vector<Time>{MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(100),
-                                MicroSeconds(0)}},
-             {MicroSeconds(50) + aCcaTime, // notification upon reception of the second signal
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {MicroSeconds(50) +
+                  aCcaTimeWithDelta, // notification upon reception of the second signal
               MicroSeconds(50) + MicroSeconds(100),
               WIFI_CHANLIST_PRIMARY,
-              std::vector<Time>{MicroSeconds(100),
-                                MicroSeconds(0),
-                                MicroSeconds(00),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(50),
-                                MicroSeconds(0)}}});
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE but notifies CCA-BUSY for the S40 channel while the S80
@@ -2800,6 +2777,9 @@
                             this,
                             "Reception of a signal that occupies S80 followed by the reception of "
                             "another signal that occupies S40");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(7) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(2) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(7) = MicroSeconds(50);
         ScheduleTest(
             delay,
             {{dBm_u{-55},
@@ -2814,36 +2794,26 @@
               MHz_u{20}}},
             {},
             {
-                {aCcaTime, WifiPhyState::IDLE}, // state of primary stays idle after aCCATime
-                {MicroSeconds(50) + aCcaTime, WifiPhyState::IDLE}, // state of primary stays IDLE
+                {aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
+                {MicroSeconds(50) + aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays IDLE
                 {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
                 {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {{aCcaTime, // notification upon reception of the first signal
+            {{aCcaTimeWithDelta, // notification upon reception of the first signal
               MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY80,
-              std::vector<Time>{MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(100)}},
-             {MicroSeconds(50) + aCcaTime, // notification upon reception of the second signal
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {MicroSeconds(50) +
+                  aCcaTimeWithDelta, // notification upon reception of the second signal
               MicroSeconds(50) + MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY40,
-              std::vector<Time>{MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(100),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(50)}}});
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE but notifies CCA-BUSY for the S20 channel while the S80
@@ -2853,6 +2823,9 @@
                             this,
                             "Reception of a signal that occupies S80 followed by the reception of "
                             "another signal that occupies S20");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(4) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(4) = MicroSeconds(50);
         ScheduleTest(
             delay,
             {{dBm_u{-55},
